<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/Chain.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Chain_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Chain.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __ACCSChain_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __ACCSChain_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLISTITEM.html">    7</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt; <span class="keyword">class </span><a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM</a></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;{</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLISTITEM.html#a950beb6165d1621a8a1d3d3f95a33bb3">   11</a></span>&#160;    T *<a class="code" href="classACCSCHAINEDLISTITEM.html#a950beb6165d1621a8a1d3d3f95a33bb3">Obj</a>;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">   13</a></span>&#160;    <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM</a> *<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a>;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLISTITEM.html#a0f9a4345a73f97a4042d84eb0fca8219">   16</a></span>&#160;    <span class="keyword">inline</span> <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a>() { this-&gt;pNext = NULL; }</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;};</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html">   33</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt; <span class="keyword">class </span><a class="code" href="classACCSCHAINEDLIST.html">ACCSCHAINEDLIST</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:                         </div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#a023941d1bf9661dd5f939575eb946bb2">   37</a></span>&#160;    <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a> *<a class="code" href="classACCSCHAINEDLIST.html#a023941d1bf9661dd5f939575eb946bb2">pFirst</a>;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#a154d3c5354d97450a9184551691661cc">   39</a></span>&#160;    <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a> *<a class="code" href="classACCSCHAINEDLIST.html#a154d3c5354d97450a9184551691661cc">pCurrentItem</a>;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#a8048782bdfd21cd416e50149973a952f">   41</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classACCSCHAINEDLIST.html#a8048782bdfd21cd416e50149973a952f">HasCurrentNull</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    </div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#ae5d313f656e6ad183f5071024b994452">   44</a></span>&#160;    <span class="keyword">inline</span> <a class="code" href="classACCSCHAINEDLIST.html#ae5d313f656e6ad183f5071024b994452">ACCSCHAINEDLIST</a>() { this-&gt;pFirst = NULL; this-&gt;pCurrentItem = NULL; }</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#a57717781c95414794910f53b0500ea3d">AddItem</a>(T *t);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#a5b7ce14101b3e2bb6c6ed1a515a8ba93">NextCurrent</a>();</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#ac7147ad27413bf0439855df743886053">   53</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#ac7147ad27413bf0439855df743886053">ResetCurrent</a>() { this-&gt;pCurrentItem = (this-&gt;HasCurrentNull ? NULL : this-&gt;<a class="code" href="classACCSCHAINEDLIST.html#a023941d1bf9661dd5f939575eb946bb2">pFirst</a>); }</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#ad621d76251ac543fc892420f98d704ba">   55</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#ad621d76251ac543fc892420f98d704ba">StartCurrent</a>() { this-&gt;pCurrentItem = this-&gt;<a class="code" href="classACCSCHAINEDLIST.html#a023941d1bf9661dd5f939575eb946bb2">pFirst</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#aec3d93b7e6c96031af848629d72905bd">   59</a></span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classACCSCHAINEDLIST.html#aec3d93b7e6c96031af848629d72905bd">HasCurrent</a>() { <span class="keywordflow">return</span> this-&gt;pCurrentItem != NULL; }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;};</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#define CHAINED_ENUMERATE(T, list, func) ACCSCHAINEDLISTITEM&lt;T&gt; *pCurr = list.pFirst; while (pCurr != NULL) { func(pCurr-&gt;Obj); pCurr = pCurr-&gt;pNext; }</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">// This function appends element into chain.</span></div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#a57717781c95414794910f53b0500ea3d">   71</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt; <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#a57717781c95414794910f53b0500ea3d">ACCSCHAINEDLIST&lt;T&gt;::AddItem</a>(T *t)</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;{</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a> *pCurr = this-&gt;pFirst;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keywordflow">if</span> (pCurr == NULL)</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    {</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        this-&gt;pFirst = <span class="keyword">new</span> <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a>();</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keywordflow">if</span> (!HasCurrentNull)</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            this-&gt;pCurrentItem = this-&gt;pFirst;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        pCurr = this-&gt;pFirst;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    }</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">else</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordflow">while</span> (pCurr != NULL)</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            <span class="keywordflow">if</span> (pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a> == NULL)</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            {</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a> = <span class="keyword">new</span> <a class="code" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM&lt;T&gt;</a>();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                pCurr = pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                <span class="keywordflow">break</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            pCurr = pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        }</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">pNext</a> = NULL;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    pCurr-&gt;<a class="code" href="classACCSCHAINEDLISTITEM.html#a950beb6165d1621a8a1d3d3f95a33bb3">Obj</a> = t;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">// This function move the current item to the next in the chain.</span></div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classACCSCHAINEDLIST.html#a5b7ce14101b3e2bb6c6ed1a515a8ba93">   99</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt; <span class="keywordtype">void</span> <a class="code" href="classACCSCHAINEDLIST.html#a5b7ce14101b3e2bb6c6ed1a515a8ba93">ACCSCHAINEDLIST&lt;T&gt;::NextCurrent</a>()</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;{</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pFirst == NULL)</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pCurrentItem == NULL)</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    {</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        this-&gt;pCurrentItem = this-&gt;pFirst;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    }</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    this-&gt;pCurrentItem = this-&gt;pCurrentItem-&gt;pNext;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pCurrentItem == NULL &amp;&amp; !HasCurrentNull)</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        this-&gt;pCurrentItem = this-&gt;pFirst;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordflow">return</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classACCSCHAINEDLIST_html_aec3d93b7e6c96031af848629d72905bd"><div class="ttname"><a href="classACCSCHAINEDLIST.html#aec3d93b7e6c96031af848629d72905bd">ACCSCHAINEDLIST::HasCurrent</a></div><div class="ttdeci">bool HasCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00059">Chain.hpp:59</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_ad621d76251ac543fc892420f98d704ba"><div class="ttname"><a href="classACCSCHAINEDLIST.html#ad621d76251ac543fc892420f98d704ba">ACCSCHAINEDLIST::StartCurrent</a></div><div class="ttdeci">void StartCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00055">Chain.hpp:55</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_ac7147ad27413bf0439855df743886053"><div class="ttname"><a href="classACCSCHAINEDLIST.html#ac7147ad27413bf0439855df743886053">ACCSCHAINEDLIST::ResetCurrent</a></div><div class="ttdeci">void ResetCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00053">Chain.hpp:53</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_a5b7ce14101b3e2bb6c6ed1a515a8ba93"><div class="ttname"><a href="classACCSCHAINEDLIST.html#a5b7ce14101b3e2bb6c6ed1a515a8ba93">ACCSCHAINEDLIST::NextCurrent</a></div><div class="ttdeci">void NextCurrent()</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00099">Chain.hpp:99</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_a57717781c95414794910f53b0500ea3d"><div class="ttname"><a href="classACCSCHAINEDLIST.html#a57717781c95414794910f53b0500ea3d">ACCSCHAINEDLIST::AddItem</a></div><div class="ttdeci">void AddItem(T *t)</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00071">Chain.hpp:71</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_ae5d313f656e6ad183f5071024b994452"><div class="ttname"><a href="classACCSCHAINEDLIST.html#ae5d313f656e6ad183f5071024b994452">ACCSCHAINEDLIST::ACCSCHAINEDLIST</a></div><div class="ttdeci">ACCSCHAINEDLIST()</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00044">Chain.hpp:44</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_a8048782bdfd21cd416e50149973a952f"><div class="ttname"><a href="classACCSCHAINEDLIST.html#a8048782bdfd21cd416e50149973a952f">ACCSCHAINEDLIST::HasCurrentNull</a></div><div class="ttdeci">bool HasCurrentNull</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00041">Chain.hpp:41</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_a154d3c5354d97450a9184551691661cc"><div class="ttname"><a href="classACCSCHAINEDLIST.html#a154d3c5354d97450a9184551691661cc">ACCSCHAINEDLIST::pCurrentItem</a></div><div class="ttdeci">ACCSCHAINEDLISTITEM&lt; T &gt; * pCurrentItem</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00039">Chain.hpp:39</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html_a023941d1bf9661dd5f939575eb946bb2"><div class="ttname"><a href="classACCSCHAINEDLIST.html#a023941d1bf9661dd5f939575eb946bb2">ACCSCHAINEDLIST::pFirst</a></div><div class="ttdeci">ACCSCHAINEDLISTITEM&lt; T &gt; * pFirst</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00037">Chain.hpp:37</a></div></div>
<div class="ttc" id="classACCSCHAINEDLIST_html"><div class="ttname"><a href="classACCSCHAINEDLIST.html">ACCSCHAINEDLIST</a></div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00033">Chain.hpp:33</a></div></div>
<div class="ttc" id="classACCSCHAINEDLISTITEM_html_a84d1cb369351e06476c50df50914f63f"><div class="ttname"><a href="classACCSCHAINEDLISTITEM.html#a84d1cb369351e06476c50df50914f63f">ACCSCHAINEDLISTITEM::pNext</a></div><div class="ttdeci">ACCSCHAINEDLISTITEM * pNext</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00013">Chain.hpp:13</a></div></div>
<div class="ttc" id="classACCSCHAINEDLISTITEM_html_a950beb6165d1621a8a1d3d3f95a33bb3"><div class="ttname"><a href="classACCSCHAINEDLISTITEM.html#a950beb6165d1621a8a1d3d3f95a33bb3">ACCSCHAINEDLISTITEM::Obj</a></div><div class="ttdeci">T * Obj</div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00011">Chain.hpp:11</a></div></div>
<div class="ttc" id="classACCSCHAINEDLISTITEM_html"><div class="ttname"><a href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM</a></div><div class="ttdef"><b>Definition:</b> <a href="Chain_8hpp_source.html#l00007">Chain.hpp:7</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>Chain.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
